package com.zcxk.tcpserver.tcp;

import io.netty.channel.ChannelInitializer;
import io.netty.channel.ChannelPipeline;
import io.netty.channel.socket.SocketChannel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Component;

@Component
@Qualifier("tcpSocketChannelInitializer")
public class TcpSocketChannelInitializer extends ChannelInitializer<SocketChannel> {

    @Autowired
    private TcpSocketHandler tcpSocketHandler;
    @Override
    protected void initChannel(SocketChannel ch) throws Exception {
        ChannelPipeline pipeline = ch.pipeline();
        pipeline.addLast(tcpSocketHandler);
    }
}
